1Password 6.8 update doesn't work with Brave


#1

The suggestion done by the 1Password support page is following:

If you use another browser
If you use another browser and you see this message, you should contact the developer and ask them to support native messaging.

Now I don’t know if this native messaging is a new thing for 6.8, or if something else broke the connection…

Thx,
John

Version info:

Name Version
Brave 0.17.16
rev 2d2ee2f
Muon 4.1.8
libchromiumcontent 59.0.3071.115
V8 5.9.211.38
Node.js 7.9.0
Update Channel dev
os.platform darwin
os.release 17.0.0
os.arch x64


1Password (6.8.BETA-4) No Longer Works in Brave
#2

Please also post your Brave version information from the about:Brave page.


#3

Good tip, thx. New here…


#4

If I’m not wrong, it should be fixed in latest release. Please update your Brave version.

Thank you,
:slight_smile:


#5

Tried this morning on my home iMac (2013 model) and my office iMac (2010 model). Solved the problem at home, but not in the office unfortunately… Any further ideas?

Both macs are on the same MacOS, Brave and 1Password version.


#6

@johnkock Could you check the 1Password version in Brave. Open about:extensions and check the version number. It has to 4.6.7.90


#7

version number is 4.6.7.90.

I collected all the versions of my home and office computer, they really are all the same (except for hardware specs). Still, the Home iMac has no errors and the Office one does…


#8

Could you try disable 1Password from about:preferences#extensions and then enable and restart the browser once


#9

[slightly embarassed…] that did the trick, thx!


#10